# OgreShadowTextureManager.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgrePixelFormat.h"`
`#include "OgreTexture.h"`
`#include "OgreIteratorWrappers.h"`

Go to the source code of this file.

## Namespaces

namespace | Ogre

## Typedefs

typedef std::vector< TexturePtr > | ShadowTextureList
typedef std::vector< ShadowTextureConfig > | ShadowTextureConfigList
typedef ConstVectorIterator< ShadowTextureConfigList > | ConstShadowTextureConfigIterator

## Functions

_OgreExport bool | operator== (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)
_OgreExport bool | operator!= (const ShadowTextureConfig &lhs, const ShadowTextureConfig &rhs)

## Typedef Documentation

typedef ConstVectorIterator<ShadowTextureConfigList> Ogre::ConstShadowTextureConfigIterator

| Definition at line 56 of file OgreShadowTextureManager.h.

typedef std::vector<ShadowTextureConfig> Ogre::ShadowTextureConfigList

| Definition at line 55 of file OgreShadowTextureManager.h.

typedef std::vector<TexturePtr> Ogre::ShadowTextureList

| Definition at line 42 of file OgreShadowTextureManager.h.

## Function Documentation

_OgreExport bool Ogre::operator!= | ( | const ShadowTextureConfig & | lhs,
|  | const ShadowTextureConfig & | rhs
| ) |

_OgreExport bool Ogre::operator== | ( | const ShadowTextureConfig & | lhs,
|  | const ShadowTextureConfig & | rhs
| ) |

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:45 2009